{
   Solved by Sergei Zalivako
   Time : O( N )
   Memory : O( N )
}

Const
	MAX_N = 15;
Var
	Best1, Best2, Best3 : integer;
	Power, Cost : Array [ 1 .. MAX_N ] of longInt;
	Usability : Array [ 1 .. MAX_N ] of real;
	N, i : integer;
Function FindMax(indexNo1, indexNo2 : integer) : integer;
Var
	i : integer;
Begin
	FindMax := -1;
	for i := 1 to N do begin
		if (i <> indexNo1) and (i <> indexNo2) then begin
			if (FindMax = -1) or (Usability [ FindMax ] < Usability [ i ] ) then begin
				FindMax := i;
			end;
		end;
	End;
End;
Begin
	Read(N);
	for i := 1 to N do begin
		Read(Power[i], Cost[i]);
		Usability [ i ] := Power [ i ] / Cost [ i ];
	end;
	Best1 := FindMax(-1, -1);
	Best2 := FindMax(-1, Best1);
	Best3 := FindMax(Best1, Best2);
	WriteLn(Cost [ Best1 ] + Cost [ Best2 ] + Cost [ Best3 ]);
	WriteLn(Best1);
	WriteLn(Best2);
	WriteLn(Best3);
End.